Package com.ngrok.definitions

# Class EndpointMutualTlsMutate.Builder

java.lang.Object
com.ngrok.definitions.EndpointMutualTlsMutate.Builder

Enclosing class:
  EndpointMutualTlsMutate

public static class EndpointMutualTlsMutate.Builder extends Object
Builder class for `EndpointMutualTlsMutate`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointMutualTlsMutate`
  `build()`
  Constructs the `EndpointMutualTlsMutate` instance.
  `EndpointMutualTlsMutate.Builder`
  `certificateAuthorityIds(List<String> certificateAuthorityIds)`
  list of certificate authorities that will be used to validate the TLS client certificate presented by the initiator of the TLS connection
  `EndpointMutualTlsMutate.Builder`
  `certificateAuthorityIds(Optional<List<String>> certificateAuthorityIds)`
  list of certificate authorities that will be used to validate the TLS client certificate presented by the initiator of the TLS connection
  `EndpointMutualTlsMutate.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointMutualTlsMutate.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointMutualTlsMutate.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointMutualTlsMutate.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### certificateAuthorityIds

    public EndpointMutualTlsMutate.Builder certificateAuthorityIds(List<String> certificateAuthorityIds)
    list of certificate authorities that will be used to validate the TLS client certificate presented by the initiator of the TLS connection
    Parameters:
      `certificateAuthorityIds` - the value of the `certificate_authority_ids` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### certificateAuthorityIds

    public EndpointMutualTlsMutate.Builder certificateAuthorityIds(Optional<List<String>> certificateAuthorityIds)
    list of certificate authorities that will be used to validate the TLS client certificate presented by the initiator of the TLS connection
    Parameters:
      `certificateAuthorityIds` - the value of the `certificate_authority_ids` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointMutualTlsMutate build()
    Constructs the `EndpointMutualTlsMutate` instance.
    Returns:
      a new `EndpointMutualTlsMutate`